# MapGIS Client for JavaScript API

Cesium MapboxGL Leaflet OpenLayers
API文档

    ﻿import { Zondy } from '../../../base'
    import { defaultValue, extend } from '../../../util'

    /**
     * 属性结构
     * @class Zondy.Object.CAttStruct
     * @classdesc 属性结构
     * @param {Object} option 属性键值对
     * @param {Number} [option.FldNumber = 0] 属性个数
     * @param {Array} [option.FldName = null] 属性字段名数组,Array,string in an Array
     * @param {Array} [option.FldType = null] 属性字段类型数组,Array,string in an Array
     */
    const CAttStruct = function (option) {
      const options = defaultValue(option, {})
      extend(this, options)

      /**
       * @private
       * @member Zondy.Object.CAttStruct.prototype.FldNumber
       * @type {Number}
       * @description 属性个数
       */
      this.FldNumber = defaultValue(options.FldNumber, 0)

      /**
       * @private
       * @member Zondy.Object.CAttStruct.prototype.FldName
       * @type {Array}
       * @description 属性字段名数组 Array<String>
       */
      this.FldName = defaultValue(options.FldName, null)

      /**
       * @private
       * @member Zondy.Object.CAttStruct.prototype.FldType
       * @type {Array}
       * @description 属性字段类型数组 Array<String>
       */
      this.FldType = defaultValue(options.FldType, null)
    }
    export default CAttStruct
    Zondy.Object.CAttStruct = CAttStruct

构造函数
成员变量
方法
事件